Difference between revisions of "MediaWiki:Mobile.css"

From Enduro.team
Jump to: navigation, search
Line 12: Line 12:
 
*/
 
*/
  
 
 
 
/* Стили - заглавной страницы */
 
 
 
@media (max-width: 719px) {
 
.page-Заглавная_страница #content {
 
background-color:#eaecf0;
 
}
 
.page-Заглавная_страница .header-container.header-chrome {
 
box-shadow:none;
 
}
 
}
 
  
  

Revision as of 16:26, 4 February 2019

/**
You are editing the global CSS file for all mobile site users.
With Great Power Comes Great Responsibility.

Some words of caution:
* Avoid any changes which impact layout on a mobile device.
** Please be careful not to introduce any margin/padding rules. These should be done inside the template itself via an inline style.
** Be especially cautious when a template is likely to be used within the top 480px of the screen (the content that the user will see first on a mobile device)
* Do not use display:none. Instead edit the template and markup the element you want to hide with the "nomobile" class.
* Try to keep rules as generic and minimal as possible. Do not have 2 selectors doing the same thing. Introduce a common class and use that instead
* Group common CSS rules together where possible.
*/




/*
 * Костыли-префиксы - поддержки устаревших браузеров заглавной страницей
 * Будут переведены - TemplateStyles, см. [[phab:T162379]]
*/


.main-wikimedia-list {
	-webkit-column-count: 4;
	-webkit-column-width: 15em;
}

.main-wikimedia-list > .main-wikimedia-listItem {
	-webkit-box-align: stretch;
	-webkit-align-items: stretch;
	-webkit-column-break-inside: avoid;
	display: -webkit-box;
	display: -webkit-flex;
}

.main-wikimedia-listItem > img {
	-webkit-box-flex: 0;
	-webkit-flex: 0 auto;
}